/* contains a statement to be executed */!!

inherit(Object, #CLIStatement, #(stmt), 2, nil)!!

now(class(CLIStatement))!!

now(CLIStatement)!!

/* Compile the statement. */
Def CLICodeCompile(self)
{
  if(stmt)
  then
    CLICodeCompile(stmt);
    CLICodeCompile("; ");
  endif;
}!!

/* Compile the statement. */
Def CLICompile(self)
{
  if(stmt)
  then
    CLICodeCompile(stmt);
    CLICodeCompile("; ");
    /* check for abort statement */
    CLICodeCompile("cA(self);");
    stmt := nil;
  endif;
}!!

Def init(self, statement)
{
  stmt := statement;
}!!
